%% Funktion zum Filtern der ROIs mittels Gaborfilter
% Input in die Funktion sind das imdata-struct (enthaelt die ROIs), ein
% Schalter mit dem der Kontrast angepasst wird (true/false) und Parameter
% der Gaborfilterung

function [imdata] = filterroigabor(imdata, stretchcontrast, parametergabor)
% Schleife um alle Frames eines Datensatzes
for aa = 1:length(imdata)
    %% Kontrastanpassung
    if stretchcontrast                                     
         imdata(aa).roisc= 1 ./ (1 + (mean2(1 - imdata(aa).roi) ./ ...
             ((1 - imdata(aa).roi) + eps)).^6.5);
    end
    
    
    %% Aufbau Filter und Filterung
    Filtersize =  [7 9 11 13];
%     I = imgaussfilt(imdata(aa).roisc,2, 'FilterSize',[11 11]);
    I = imdata(aa).roisc;
    Isq = zeros(size(I,1), size(I,2), length(Filtersize));
    for qq=1:length(Filtersize)

        mySize = Filtersize(qq);
        delta = 1 + parametergabor/10;
        gamma = 0.5;

        % Filterung diagonaler Strukturen (links unten nach rechts oben)
        Gab = getGabor(mySize/2,gamma,delta/sqrt(2*mySize.^2),pi/4,mySize);
        Is(:,:,1) = imfilter(I,Gab,'symmetric');
        
        % Filterung diagonaler Strukturen (links oben nach rechts unten)
        Gab = getGabor(mySize/2,gamma,delta/sqrt(2*mySize.^2),3*pi/4,mySize);
        Is(:,:,2) = imfilter(I,Gab,'symmetric');
        
        % Filterung horizontaler Strukturen
        Gab = getGabor(mySize/2,gamma,delta/mySize,pi/2,mySize);
        Is(:,:,3) = imfilter(I,Gab,'symmetric');
        
        % Filterung vertikaler Strukturen
        Gab = getGabor(mySize/2,gamma,delta/mySize,0,mySize);
        Is(:,:,4) = imfilter(I,Gab,'symmetric');
        
        
        Is_min = imgaussfilt(min(Is,[],3),1); %Rausch filtern
        Isq(:,:,qq) =  Is_min.^2; %vorher Wertebereich anpassen?
    end

    %% Segmentiertes Bild quadrieren und in imdata-struct schreiben
    imdata(aa).roiseg = min(Isq,[],3).^2;
    

end % aa = 1:length(imdata)


end