%% Ansatz zur Identifikation des Testfeld mit findchangepts

function [field_in, field_out] = findchangeptsansatz(meancol, v, k)

% Anzahl an Frames die zwischen dem Zeitpunkt liegen, wo die Linke
% Testfeldkante auf Druckspalt und danach die rechte Testfeldkante auf
% Druckspalt liegt
Delta_nFrame =  k/v;

% Faktor fr Vergrerung des Suchbereichs
kappa = 1.1;

% meancol-Vektor vorbereitung und NaNs abschneiden, Anzahl an NaNs wird
% aber bentigt!
nanidx = find(~isnan(meancol),1,'first')-1;
meancolwonans = meancol(~isnan(meancol));

for qq = 0:(length(meancolwonans)-ceil(Delta_nFrame*kappa))
   S = meancolwonans((qq + 1):(ceil(Delta_nFrame*kappa) + qq));
   data(qq+1).S = S;
   data(qq+1).ipt = findchangepts(S,'MaxNumChanges',2);
   if length([data(qq+1).ipt]) == 2
    data(qq+1).iptdiff = abs(data(qq+1).ipt(1) - data(qq+1).ipt(2));
    data(qq+1).abweichung = abs(data(qq+1).iptdiff - Delta_nFrame);
   else
    data(qq+1).iptdiff = NaN;
    data(qq+1).abweichung = NaN;
   end
end

% Erstes Minimum mit idx abgreifen
[~, minidx] = min([data.abweichung]);

% Changepts fr Minimum abgreifen 
field_in = data(minidx).ipt(1) + minidx + nanidx;
field_out = data(minidx).ipt(2) + minidx + nanidx;


end