%% Funktion um die Fingeranzahl und Fingerfrequenz zu ermitteln

function [imdata] = getfingernumberandfrequency(imdata)

% Massstab in mum/px
M = 49.6;

%% Fingeranzahl mit findpeaks
for aa = 1:length(imdata)
    % Vordefinition vom Vektor fuer die Fingerzaehlung
    fingers = zeros(1,size(imdata(1).roifingerpattern,2));
    for bb = 1:size(imdata(aa).roifingerpattern,2)
        [vals, locs] = findpeaks(imdata(aa).roifingerpattern(:,bb));
        locs(vals<0.25) = [];
        fingers(bb) = length(locs);
    end
    % Fingeranzahl in einem Bild in imdata-Struct schreiben
    imdata(aa).nf = max(fingers);
    % Fingerfrequenz mit Bildhoehe und Massstab in 1/cm berechnen
    imdata(aa).ff = max(fingers) / ...
        ((size(imdata(aa).roifingerpattern, 1) * M)/10000);
end

end