%% Funktion zum Abgreifen der relevanten Druckspaltposition

function n_DS = getrelevantnipposition(InputList, nDataset, nipposition)

%% Bestimmung des Bereiches auf dem der Tonwert des Bilddatensatzes liegt
% Tonwert aus Benennung des Bilddatensatzes abgreifen
tv = str2double(InputList(nDataset).name(8:10));

% Matrix mit Tonwerten der Testfelder fuer eine Rasterfrequenz erstellen
TV = [100 95 90; 80 70 60; 50 40 30; 20 10 5];

% Index der Spalte abgreifen, innerhalb derer der Tonwert des
% Bilddatensatzes liegt
[~, idx_col] = find(TV==tv);


%% Druckspaltposition fuer Ausgabe vorbereiten
% Vektor fuer Druckspaltposition vordefinieren
n_DS = zeros(1,3);
% Gemittelte Druckspaltposition in Vektor schreiben
n_DS(1) = nipposition.(['group_' num2str(idx_col)]).n_DS_mean;
% Gerundete gemittelte Druckspaltposition in Vektor schreiben
n_DS(2) = nipposition.(['group_' num2str(idx_col)]).n_DS_mean_rnd;
% Standardabweichung der ermittelten Druckspaltposition in Vektor schreiben
n_DS(3) = nipposition.(['group_' num2str(idx_col)]).n_DS_std;

end