%% Funktion zum Einlesen eines Datensatzes und Vorverarbeitung

function [imdata] = readdataset(listDataset, nDataset)

%% .mraw-Video einlesen
% Datensatz einlesen (hierfuer wird die mraw-Funktion genutzt;
% Herkunft: https://de.mathworks.com/matlabcentral/fileexchange/
% 62219-reader-class-for-photron-mraw-files
Dataset = mraw([listDataset(nDataset).folder filesep ...
    listDataset(nDataset).name(1:end-4)]);

% imdata-Struct vordefinieren
imdata = struct;


%% Einlesen aller Frames des .mraw-Videos in imdata-Struct
for aa = 1:Dataset.TotalFrames
    % Video-Frames an imdata-Struct uebergeben und auf 0 bis 1 normieren
    imdata(aa).imgraw = double(Dataset.getFrame(aa)) / ...
       (2^(Dataset.BitDepth) - 1);

    % Crop aller Frames, so dass Testfeld oben und unten angeschnitten
    % wird
    imdata(aa).imgcrop = imcrop(imdata(aa).imgraw,[0.5 100.5 768 234]);

    % Bilder invertieren
    imdata(aa).imginv = 1- imdata(aa).imgcrop;
end % bb = 1:Dataset.TotalFrames    

end