%% Funktion zum Speichern der Ergebnisse

function [fingerdata] = saveresults(fingerdata, imdata, InputList, ...
    nDataset, Datasets2process, TempPath, OutputPath)

%% Fingeranzahl in fingerdata-Struct schreiben
% Vektor mit Fingeranzahl in jedem Bild
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['nf_MEAS' InputList(nDataset).name(5)]) = [imdata.nf];
% Gemittelte Fingeranzahl eines Bilddatensatzes
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['nf_mean_MEAS' InputList(nDataset).name(5)]) = mean([imdata.nf]);
% Standardabweichung der Fingeranzahl eines Bilddatensatzes
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['nf_std_MEAS' InputList(nDataset).name(5)]) = std([imdata.nf]);

%% Fingerfrequenz in fingerdata-Struct schreiben
% Vektor mit Fingerfrequenz in jedem Bild
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['ff_MEAS' InputList(nDataset).name(5)]) = [imdata.ff];
% Gemittelte Fingerfrequenz eines Bilddatensatzes
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['ff_mean_MEAS' InputList(nDataset).name(5)]) = mean([imdata.ff]);
% Standardabweichung der Fingerfrequenz eines Bilddatensatzes
fingerdata. ...
    (['LPC' InputList(nDataset).name(13:15)]). ...
    (['TV' InputList(nDataset).name(8:10)]). ...
    (['V' InputList(nDataset).name(18:21)]). ...
    (['ff_std_MEAS' InputList(nDataset).name(5)]) = std([imdata.ff]);


%% Abspeichern in Temp bzw. Output-Ordner
if nDataset == Datasets2process(length(Datasets2process))
    % Datumsformat definieren
    DateFormat = 'yyyy_mm_dd_HHMMSS';
    % Text-String fuer Datum erzeugen
    DateStr = datestr(now,DateFormat);
    % Speichern
    save([OutputPath filesep DateStr '_fingerdata.mat'], 'fingerdata');
else
    save([TempPath filesep 'fingerdata.mat'], 'fingerdata');
end

end